package com.ruoyi.reportrzs.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
        import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.reportrzs.mapper.RzsNationalRankingInfoMapper;
import com.ruoyi.reportrzs.domain.RzsNationalRankingInfo;
import com.ruoyi.reportrzs.service.IRzsNationalRankingInfoService;

/**
 * 专利授权-全国排名Service业务层处理
 *
 * @author ruoyi
 * @date 2023-03-27
 */
@Service
public class RzsNationalRankingInfoServiceImpl extends ServiceImpl<RzsNationalRankingInfoMapper, RzsNationalRankingInfo> implements IRzsNationalRankingInfoService {

    /**
     * 查询专利授权-全国排名列表
     *
     * @param rzsNationalRankingInfo 专利授权-全国排名
     * @return 专利授权-全国排名集合
     * @date 2023-03-27
     */
    @Override
    public List<RzsNationalRankingInfo> queryList(RzsNationalRankingInfo rzsNationalRankingInfo) {
        QueryWrapper<RzsNationalRankingInfo> queryWrapper = Wrappers.query();
                if (  StringUtils.isNotNull(rzsNationalRankingInfo.getCityCode())){
                    queryWrapper.eq("city_code", rzsNationalRankingInfo.getCityCode());
                }
                if ( StringUtils.isNotEmpty(rzsNationalRankingInfo.getCityName())  ){
                    queryWrapper.like("city_name", rzsNationalRankingInfo.getCityName());
                }
                if ( StringUtils.isNotEmpty(rzsNationalRankingInfo.getYear())  ){
                    queryWrapper.eq("year", rzsNationalRankingInfo.getYear());
                }
                if ( StringUtils.isNotEmpty(rzsNationalRankingInfo.getMonth())  ){
                    queryWrapper.eq("month", rzsNationalRankingInfo.getMonth());
                }
                if ( StringUtils.isNotEmpty(rzsNationalRankingInfo.getInventionPatentsUmber())  ){
                    queryWrapper.eq("invention_patents_umber", rzsNationalRankingInfo.getInventionPatentsUmber());
                }
                if (  StringUtils.isNotNull(rzsNationalRankingInfo.getStatus())){
                    queryWrapper.eq("status", rzsNationalRankingInfo.getStatus());
                }
        queryWrapper.orderByDesc("id");
        return this.list(queryWrapper);
    }
}
